<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          Website Baker Project, LEPTON Project
 * @copyright       2004-2010 Website Baker Project
 * @copyright       2010-2026 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */

// include secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;   
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include secure file


// Make sure the login is enabled
if(!FRONTEND_LOGIN)
{
	header('Location: '.LEPTON_URL.'/index.php');
	exit(0);
} 

if(ENABLED_ASP && isset($_POST['username']) && ( // form faked? Check the honeypot-fields.
	(!isset($_POST['submitted_when']) || !isset($_SESSION['submitted_when'])) || 
	($_POST['submitted_when'] != $_SESSION['submitted_when']) ||
	(!isset($_POST['email-address']) || $_POST['email-address']) ||
	(!isset($_POST['name']) || $_POST['name']) ||
	(!isset($_POST['full_name']) || $_POST['full_name'])
)) 
{
	header('Location: '.LEPTON_URL.'/index.php');
	die ();
}

// Required page details
$page_id = 0;
$page_description = '';
$page_keywords = '';
define('PAGE_ID', 0);
define('ROOT_PARENT', 0);
define('PARENT', 0);
define('LEVEL', 0);
define('PAGE_TITLE', $TEXT['SIGNUP']);
define('MENU_TITLE', $TEXT['SIGNUP']);
define('MODULE', '');
define('VISIBILITY', 'public');

// Set the page content include file
if(isset($_POST['username'])) 
{
	define('PAGE_CONTENT', LEPTON_PATH.'/account/signup2.php');
} 
else 
{
	define('PAGE_CONTENT', LEPTON_PATH.'/account/signup_form.php');
}

// Set auto authentication to false
$auto_auth = false;

require LEPTON_PATH.'/index.php';
